import javafx.application.Application;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.event.ActionEvent;
import javafx.geometry.Pos;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;

public class Fahrenheit extends Application
{
    private Label result;
    private TextField fahrenheit;

    public void start(Stage primaryStage)
    {
        Label inputLabel = new Label("Fahrenheit:");
        Label outputLabel = new Label("Celsius:");
        result = new Label("---");
        fahrenheit = new TextField();
        fahrenheit.setPrefWidth(50);
        fahrenheit.setOnAction(this::processReturn);
        
        GridPane grid = new GridPane();
        
        grid.setAlignment(Pos.CENTER);
        grid.setHgap(20);
        grid.setVgap(10);
       
        grid.add(inputLabel, 0, 0);
        grid.add(fahrenheit, 1, 0);
        grid.add(outputLabel, 0, 1);
        grid.add(result, 1, 1);
        
        Scene scene = new Scene(grid, 300, 150);
        
        primaryStage.setTitle("Fahrenheit Converter");
        primaryStage.setScene(scene);
        primaryStage.show();
    }
    
    public void processReturn(ActionEvent event)
    {
        int fahrenheitTemp = Integer.parseInt(fahrenheit.getText());
        int celsiusTemp = (fahrenheitTemp - 32) * 5 / 9;
        result.setText(celsiusTemp + "");
    }
}
